
Infrastructure - Bug #2496

Review Metacat's use of IOUtils.toString() for incoming xml docs

2012-03-15 21:10 - Ben Leinfelder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

History

#1 - 2012-03-15 21:14 - Ben Leinfelder

- Category set to Metacat

- Assignee set to Ben Leinfelder

We've been using this for a while, but it looks like we get the complete string representation of an incoming XML document when we add it to

metacat. I believe the traditional Metacat API also deals with the full string content in memory, so this may be a larger issue not just specific to

DataONE.

#2 - 2012-03-26 17:14 - Ben Leinfelder

- Status changed from New to Closed

Massive documents run the risk of using all the server's memory. This is unlikely to happen in the realworld given our current KNB data.
